> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /tmdb/movies/discover

> Discover TMDB movies by advanced filters: genres, certification, release date range, original language, user score and vote count, runtime, keywords, streaming providers and release type, with sorting.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/movies-tv.json post /api/tmdb/movies/discover
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/tmdb/movies/discover:
    post:
      tags:
        - /tmdb
      summary: /tmdb/movies/discover
      description: >-
        Discover TMDB movies by advanced filters: genres, certification, release
        date range, original language, user score and vote count, runtime,
        keywords, streaming providers and release type, with sorting.


        **Price:** 1 credit
      operationId: __api_tmdb_movies_discover_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TmdbMoviesDiscoverPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TmdbMediaItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TmdbMoviesDiscoverPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        user_score_min:
          type: number
          maximum: 10
          minimum: 0
          default: 0
        user_score_max:
          type: number
          maximum: 10
          minimum: 0
          default: 10
        min_votes:
          type: integer
          minimum: 0
          default: 0
        runtime_min:
          type: integer
          minimum: 0
          default: 0
        runtime_max:
          type: integer
          minimum: 0
          default: 400
        original_language:
          anyOf:
            - type: string
              pattern: ^[a-z]{2}$
            - type: 'null'
        keywords:
          items:
            type: integer
          type: array
          default: []
        watch_providers:
          items:
            type: integer
          type: array
          default: []
        watch_monetization:
          items:
            $ref: '#/components/schemas/TmdbMonetization'
          type: array
          default: []
        region:
          $ref: '#/components/schemas/TmdbRegion'
          default: US
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/TmdbMovieSort'
          default: popularity.desc
        genres:
          items:
            $ref: '#/components/schemas/TmdbMovieGenre'
          type: array
          default: []
        certification:
          anyOf:
            - $ref: '#/components/schemas/TmdbMovieCertification'
            - type: 'null'
        release_date_from:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
            - type: 'null'
        release_date_to:
          anyOf:
            - type: string
              pattern: ^\d{4}-\d{2}-\d{2}$
            - type: 'null'
        release_types:
          items:
            $ref: '#/components/schemas/TmdbReleaseType'
          type: array
          default: []
      type: object
      required:
        - count
    TmdbMediaItem:
      properties:
        '@type':
          type: string
          default: TmdbMediaItem
        id:
          type: integer
        media_type:
          type: string
        url:
          type: string
        document_title:
          anyOf:
            - type: string
            - type: 'null'
        date:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - media_type
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TmdbMonetization:
      type: string
      enum:
        - flatrate
        - free
        - ads
        - rent
        - buy
    TmdbRegion:
      type: string
      enum:
        - AL
        - DZ
        - AD
        - AO
        - AG
        - AR
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BB
        - BY
        - BE
        - BZ
        - BM
        - BO
        - BA
        - BR
        - BG
        - BF
        - CM
        - CA
        - CV
        - TD
        - CL
        - CO
        - CR
        - HR
        - CU
        - CY
        - CZ
        - CI
        - CD
        - DK
        - DO
        - EC
        - EG
        - SV
        - GQ
        - EE
        - FJ
        - FI
        - FR
        - GF
        - PF
        - DE
        - GH
        - GI
        - GR
        - GP
        - GT
        - GG
        - GY
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IQ
        - IE
        - IL
        - IT
        - JM
        - JP
        - JO
        - KE
        - XK
        - KW
        - LV
        - LB
        - LY
        - LI
        - LT
        - LU
        - MK
        - MG
        - MW
        - MY
        - ML
        - MT
        - MU
        - MX
        - MD
        - MC
        - ME
        - MA
        - MZ
        - NL
        - NZ
        - NI
        - NE
        - NG
        - 'NO'
        - OM
        - PK
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PL
        - PT
        - QA
        - RO
        - RU
        - SM
        - SA
        - SN
        - RS
        - SC
        - SG
        - SK
        - SI
        - ZA
        - KR
        - ES
        - LC
        - SE
        - CH
        - TW
        - TZ
        - TH
        - TT
        - TN
        - TR
        - TC
        - UG
        - UA
        - AE
        - GB
        - US
        - UY
        - VA
        - VE
        - YE
        - ZM
        - ZW
    TmdbMovieSort:
      type: string
      enum:
        - popularity.desc
        - popularity.asc
        - vote_average.desc
        - vote_average.asc
        - primary_release_date.desc
        - primary_release_date.asc
        - title.asc
        - title.desc
        - revenue.desc
        - revenue.asc
    TmdbMovieGenre:
      type: string
      enum:
        - Action
        - Adventure
        - Animation
        - Comedy
        - Crime
        - Documentary
        - Drama
        - Family
        - Fantasy
        - History
        - Horror
        - Music
        - Mystery
        - Romance
        - Science Fiction
        - TV Movie
        - Thriller
        - War
        - Western
    TmdbMovieCertification:
      type: string
      enum:
        - NR
        - G
        - PG
        - PG-13
        - R
        - NC-17
    TmdbReleaseType:
      type: string
      enum:
        - '1'
        - '2'
        - '3'
        - '4'
        - '5'
        - '6'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````